<?php

namespace WcElectronInvoice\Providers;

defined( 'ABSPATH' ) || die( 'Not allowed.' );

abstract class Order extends OrderAbstract {

	protected $product;

	abstract function has_status( $status );

	abstract function get_date_completed();

	abstract function get_date_created();

	abstract function get_date_modified();

	abstract function get_shipping_total();

	abstract function get_shipping_tax();

}
